For the complete documentation index, see llms.txt. This page is also available as Markdown.

Invoices Find By Period

Returns invoices of billing profiles of a user.

get
Authorizations
AuthorizationstringRequired
Path parameters
periodstringRequired

Period of interest in format YYYY-MM

Example: 2020-01Pattern: ^(\d{4}-\d{2}|null)$
Query parameters
contractidstringOptional

Filter out the exact contractID

dateformatstringOptional

Vendor date format

Responses
200

Result data

application/json
get/invoices/{period}
GET /billing/invoices/{period} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
[
  {
    "metadata": {
      "invoiceId": "GY00012345",
      "contractId": "318002123",
      "customerId": "112345678",
      "createdDate": "2020-02-05 04:00:00Z",
      "startDate": "2020-01-01",
      "endDate": "2020-01-31",
      "postingPeriod": "2020-01",
      "finallyPosted": true,
      "reference": "123456|111",
      "resellerRef": "bricksonline"
    },
    "datacenters": [
      {
        "id": "54eb1ed9-06f5-4bfb-a4f0-07cc373f5ee1",
        "name": "Main VDC",
        "location": "EU",
        "productGroup": "PG 1",
        "meters": [
          {
            "meterId": "C010EU",
            "meterDesc": "1h core AMD - EU",
            "productGroup": "PG 1",
            "quantity": {
              "quantity": 12960,
              "unit": "1hour"
            },
            "rate": {
              "quantity": 2.94,
              "unit": "EUR"
            },
            "amount": {
              "quantity": 2.94,
              "unit": "EUR"
            }
          }
        ],
        "rebate": {
          "amount": {
            "quantity": 2.94,
            "unit": "EUR"
          }
        }
      }
    ],
    "total": {
      "quantity": 2.94,
      "unit": "EUR"
    }
  }
]

Last updated

Was this helpful?